[Numpy-discussion] Numpy on Travis with Python 3

Peter Cock p.j.a.cock@googlemail....
Tue Nov 27 06:35:44 CST 2012


On Tue, Nov 27, 2012 at 12:27 PM, Thomas Robitaille
<thomas.robitaille@gmail.com> wrote:
> Hi everyone,
>
> I'm currently having issues with installing Numpy 1.6.2 with Python
> 3.1 and 3.2 using pip in Travis builds - see for example:
>
> https://travis-ci.org/astropy/astropy/jobs/3379866
>
> The build aborts with a cryptic message:
>
> ValueError: underlying buffer has been detached
>
> Has anyone seen this kind of issue before?
>
> Thanks for any help,
>
> Cheers,
> Tom

Hi Tom,

Yes, a similar error has been reported with virtualenv 1.8.3,
see https://github.com/pypa/virtualenv/issues/359

If you were not aware, the TravisCI team are currently actively
trying to get NumPy preinstalled on the virtual machines. As I
write this, Python 2.5, 2.6 and 2.7 now have NumPy while
Python 3.1 is being dropped (it was only ever an unofficially
supported platform), and NumPy under Python 3.2 and 3.3
is still in progress. See:

https://github.com/travis-ci/travis-cookbooks/issues/48
https://github.com/travis-ci/travis-cookbooks/issues/89

This "ValueError: underlying buffer has been detached" was
one of the issues the TravisCI team had faced.

Peter


More information about the NumPy-Discussion mailing list